classification
Title: http.server module sets incorrect mimetype for WebAssembly files
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, travisoneill
Priority: normal Keywords: patch

Created on 2018-09-21 00:09 by travisoneill, last changed 2018-10-09 04:44 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9464 merged python-dev, 2018-09-21 00:16
Messages (2)
msg325935 - (view) Author: Travis O'Neill (travisoneill) * Date: 2018-09-21 00:09
Mimetype is set to application/octet-stream for .wasm files instead of the correct application/wasm.  This causes streaming compile feature to fail (https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/WebAssembly/instantiateStreaming).
msg327381 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-10-09 04:44
New changeset 199a280af540e3194405eb250ca1a8d487f6a4f7 by Andrew Svetlov (travisoneill) in branch 'master':
bpo-34758: add .wasm to recognized file extensions in mimetypes module (GH-9464)
https://github.com/python/cpython/commit/199a280af540e3194405eb250ca1a8d487f6a4f7
History
Date User Action Args
2019-10-24 08:49:33xtreaklinkissue31670 superseder
2019-03-30 23:27:42martin.panterlinkissue35403 superseder
2018-10-09 04:44:47asvetlovsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.8, - Python 3.7
2018-10-09 04:44:05asvetlovsetnosy: + asvetlov
messages: + msg327381
2018-09-21 00:16:49python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8876
2018-09-21 00:09:24travisoneillcreate